---
updatedAt: 2025-11-10T23:56:31.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/llms.txt
---

# Send Bill Payment Advice

Here, the actual transaction is performed.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "new-value-added-services",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://qa.interswitchng.com/quicktellerservice/api/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/Transactions": {
      "post": {
        "summary": "Send Bill Payment Advice",
        "description": "Here, the actual transaction is performed.",
        "operationId": "send-transaction",
        "parameters": [
          {
            "name": "Authentication",
            "in": "header",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          },
          {
            "name": "Terminalid",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "3pbl0001"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"TransactionRef\": \"PBL|Web|3pbl0001|VerveECa|010223180453|4WNYQJ3NDB\",\n    \"ApprovedAmount\": \"10000\",\n    \"AdditionalInfo\": {},\n    \"ResponseCode\": \"90000\",\n    \"ResponseDescription\": \"Success\",\n    \"ResponseCodeGrouping\": \"SUCCESSFUL\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "TransactionRef": {
                      "type": "string",
                      "example": "PBL|Web|3pbl0001|VerveECa|010223180453|4WNYQJ3NDB"
                    },
                    "ApprovedAmount": {
                      "type": "string",
                      "example": "10000"
                    },
                    "AdditionalInfo": {
                      "type": "object",
                      "properties": {}
                    },
                    "ResponseCode": {
                      "type": "string",
                      "example": "90000"
                    },
                    "ResponseDescription": {
                      "type": "string",
                      "example": "Success"
                    },
                    "ResponseCodeGrouping": {
                      "type": "string",
                      "example": "SUCCESSFUL"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl http://172.25.20.59/quicktellerservice/api/v5/Transactions \\\n-H \"Authentication: Bearer <TOKEN>\" \\\n-H \"Content-Type: application/json\" \\\n-H \"TerminalID: <YOUR_TERMINAL_ID>\" \\\n-d '{“TerminalId”:<YOUR_TERMINAL_ID>,“paymentCode”:”0488051528″,“customerId”:”2348124888436″,“customerMobile”:”2348124888436″,“customerEmail”:”johndoe@gmail.com”,“amount”:”10000″,“requestReference”:”122200898163″}' \\\n-X POST"
            },
            {
              "language": "php",
              "code": "$curlInit = curl_init();\ncurl_setopt($curlInit, CURLOPT_HTTPHEADER, array(\n'Content-Type: application/json',\n'Authentication: ' . 'Bearer ' . <TOKEN>,\n'TerminalID: ' . <TERMINAL_ID>\n\n));\n\ncurl_setopt($curlInit, CURLOPT_RETURNTRANSFER, true);\ncurl_setopt($curlInit, CURLOPT_URL, 'http://172.25.20.59/quicktellerservice/api/v5/Transactions');\n\n$fieldsString = json_encode(array(\n    'customerId' => '00000000001',\n    'customerMobile' => '2348033115478',\n    'customerEmail' => 'johndoe@nomail.com',\n    'amount' => 146000,\n    'paymentCode' => '10801',\n    'requestReference' => 1453 . '' . time() //This must be preceeded by the request prefix provided by Interswitch\n));\ncurl_setopt($curlInit, CURLOPT_POST, true);\ncurl_setopt($curlInit, CURLOPT_POSTFIELDS, $fieldsString);\n\n$response = curl_exec($curlInit);\ncurl_close($curlInit);\nreturn $response;"
            },
            {
              "language": "javascript",
              "code": "const params = JSON.stringify({\n        paymentCode: '10801', \n        customerId: '0000000001', \n        customerMobile: '2348056731576', \n        customerEmail:'johndoe@nomail.com', \n        amount: 360000, \n        requestReference: '1453' + '' + (Date.now() / 1000 | 0)\n    });\n\nconst options = {\n  hostname: '172.25.20.59',\n  port: 443,\n  path: '/quicktellerservice/api/v5/Transactions',\n  method: 'POST',\n  headers: {\n    Authentication: 'Bearer ' + <TOKEN>,\n    'Content-Type': 'application/json',\n    'TerminalID': <TERMINAL_ID>\n   \n  }\n};\n\n\nconst request = https.request(options, response => {\n  response.on('data', (chunk) => {\n    data += chunk;\n  })\n\n  response.on('end', () => {\n    console.log(JSON.parse(data));\n  });\n\n}).on('error', error => {\n  console.log('error: ', error);\n});\nrequest.write(params);\nrequest.end();"
            }
          ],
          "samples-languages": [
            "curl",
            "php",
            "javascript"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authentication",
        "value": "Bearer"
      },
      {
        "key": "Content-Type",
        "value": "Appication/Json"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```